<?php
/* -----------------------------------------------------------------------------------------
   $Id: boxes.php 1298 2005-10-09 13:14:44Z mz $   

   XT-Commerce - community made shopping
   http://www.xt-commerce.com

   Copyright (c) 2003 XT-Commerce
   -----------------------------------------------------------------------------------------
   Released under the GNU General Public License 
   ---------------------------------------------------------------------------------------*/
#require_once (DIR_FS_CATALOG . 'templates/' . CURRENT_MOBILE_TEMPLATE . '/source/inc/gunnart_productRedirect.inc.php');   
$smarty = new smarty;
$request_type = (getenv('HTTPS') == '1' || getenv('HTTPS') == 'on') ? 'SSL' : 'NONSSL';

define('DIR_WS_BOXES',DIR_FS_CATALOG .'templates/'.CURRENT_MOBILE_TEMPLATE. '/source/boxes/');
define('TEMPLATE_SNIPPETS',DIR_FS_CATALOG.'templates/'.CURRENT_MOBILE_TEMPLATE. '/html/');
define('PRODUCT_ID', $_GET['products_id']);
define('CAT_ID', $_GET['cPath']);
define('CONTENT_ID', $_GET['coID']);
define('BLOG_CAT', $_GET['blog_cat']);
define('BLOG_ITEM', $_GET['blog_item']);
define('FORCE_CACHE',true);
$smarty->assign('tpl_path','templates/'.CURRENT_MOBILE_TEMPLATE.'/');

if (!isset($_GET['cPath']) || !isset($_GET['manufacturers_id'])) {
$smarty->assign('START', 'TRUE');
}

if (!isset($_GET['cPath'])) {
$smarty->assign('KATEGORIE', 'TRUE');
}


if(!((strstr($_SERVER['REQUEST_URI'], FILENAME_SHOPPING_CART) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_LOGIN) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_ACCOUNT) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_ADDRESS_BOOK) ||
	$product->isProduct() ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_ACCOUNT_PASSWORD) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_NEWSLETTER) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_ACCOUNT_DELETE) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_ADVANCED_SEARCH) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_ADVANCED_SEARCH_RESULT) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_ACCOUNT_HISTORY_INFO) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_ACCOUNT_HISTORY) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_CHECKOUT_SHIPPING) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_CHECKOUT) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_CHECKOUT_CONFIRMATION) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_CHECKOUT_PAYMENT) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_CHECKOUT_PAYMENT_ADDRESS) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_CHECKOUT_SHIPPING_ADDRESS) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_CHECKOUT_PAYMENT_ADDRESS) ||
	strstr($_SERVER['REQUEST_URI'], FILENAME_CHECKOUT_SUCCESS)) && BOXLESS_CHECKOUT == 'true')) {

	include(DIR_WS_BOXES . 'categories.php');
	require(DIR_WS_BOXES . 'search.php');
	require(DIR_WS_BOXES . 'information.php');

	include(DIR_WS_BOXES . 'languages.php');
	include(DIR_WS_BOXES . 'currencies.php');
	$smarty->assign('ISSTART', 'FALSE');
}
require(DIR_WS_BOXES . 'content.php');


if (!$product->isProduct()) { 
	include(DIR_WS_BOXES . 'best_sellers.php'); 
}


$smarty->assign('tpl_path','templates/'.CURRENT_MOBILE_TEMPLATE.'/');
if ($product->isProduct()) {
	require_once (DIR_FS_INC.'xtc_get_products_mo_images.inc.php');
	require_once (DIR_FS_INC.'xtc_get_products_image.inc.php');
}  
if ($_SESSION['customers_status']['customers_status_id'] == 0) include(DIR_WS_BOXES . 'admin.php');
?>